Entity Introspection
Get the field schema for a real-world entity by its numeric UUID — the schema spans many domains,
illustrative not exhaustive. Use to look up / find out what an entity is queryable for before
pulling its profile. Returns the available properties, relationships, and numerical observations
you can request from entity_retrieval.
Examples:
GET /entities/c6772802-bdbc-4778-91e9-cd3d27d008d5/introspection
GET /entities/e5bb591a-d308-4aa5-9672-96046d366cde/introspection
Use this when: You have an entity UUID and need to discover which attributes and relationships exist before
querying. Use entity_retrieval to fetch data, or entity_search first if you only have a name.
Authorizations
Path Parameters
Response
Successful Response
Response containing the introspection of an entity.
List of property names available for this entity (e.g. id, name, currency).
[
"cik",
"headquarters_address",
"lei",
"registered_address",
"founding_date",
"esg_policy",
"legal_name",
"employee_count",
"bics",
"name",
"aliases",
"id"
]Outgoing and incoming relationship types.
List of numerical observation names available for this entity.
{
"FinancialMetric": [
{
"cadence": "i",
"description": "Amount of currency on hand as well as demand deposits with banks or financial institutions. Includes other kinds of accounts that have the general characteristics of demand deposits. Also includes short-term, highly liquid investments that are both readily convertible to known amounts of cash and so near their maturity that they present insignificant risk of changes in value because of changes in interest rates. Excludes cash and cash equivalents within disposal group and discontinued operation.",
"id": "1d3eae40-0ba8-5baf-9907-6a4823b067bb",
"name": "Cash and Cash Equivalents, at Carrying Value",
"taxonomy": "us-gaap",
"unit": "USD"
}
]
}